OpenVDB 7.0.0

Public Types | Public Member Functions | List of all members
MaskBorderVoxels< BoolTreeType > Struct Template Reference

`#include <VolumeToMesh.h>`

## Public Types
using | BoolLeafNodeType = typename BoolTreeType::LeafNodeType

## Public Member Functions
| MaskBorderVoxels (const BoolTreeType &maskTree, const std::vector< BoolLeafNodeType * > &maskNodes, BoolTreeType &borderTree)
| MaskBorderVoxels (MaskBorderVoxels &rhs, tbb::split)
void | join (MaskBorderVoxels &rhs)
void | operator() (const tbb::blocked_range< size_t > &range)

## Member Typedef Documentation

## ◆ BoolLeafNodeType

using BoolLeafNodeType = typename BoolTreeType::LeafNodeType

## Constructor & Destructor Documentation

## ◆ MaskBorderVoxels() [1/2]

MaskBorderVoxels | ( | const BoolTreeType & | maskTree,
|  | const std::vector< BoolLeafNodeType * > & | maskNodes,
|  | BoolTreeType & | borderTree
| ) |  |
| inline

## ◆ MaskBorderVoxels() [2/2]

MaskBorderVoxels | ( | MaskBorderVoxels< BoolTreeType > & | rhs,
|  | tbb::split |
| ) |  |
| inline

## Member Function Documentation

## ◆ join()

void join | ( | MaskBorderVoxels< BoolTreeType > & | rhs | ) |
| inline

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) |
| inline

The documentation for this struct was generated from the following file:

- VolumeToMesh.h